Skip to content
BleemeoBleemeo

List server groups

GET
/v1/servergroup/
curl --request GET \
--url https://example.com/v1/servergroup/ \
--header 'Authorization: Bearer <token>'

Return all server groups for the current account.

cursor
string

The pagination cursor value.

id
string format: uuid
page_size
integer

Number of results to return per page.

search
string

A search term.

Media typeapplication/json
object
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
name
required
string
<= 50 characters
account
required
string format: uuid
default
boolean
default: true
created_at
required
string format: date-time
created_by
required
string format: uuid
nullable
Example
{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"default": true
}
]
}